Subject: bug#6135: font lock is not turned on in js-mode anymore

From: Paul Pogonyshev <[email-masked]>
Date: Fri, 7 May 2010 18:22:06 +0300

Since a few days, opening a .js file (js-mode) doesn't turn buffer
fontification on, despite `global-font-lock-mode' being t.  Directly
invoking `M-x font-lock-mode' in this new buffer does bring syntax
highlight back, so it's not like "fontification does not work" it is
"fontification is not turned on".

Paul